質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.32%

Mysql5.7のインストール失敗

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,425

T.K_02

score 5

IDCFのcentos6.8のサーバを借りて、

PHP 7.0.13、Apache 2.4.20
を入れて、
MysqlをMySQL 5.7.18で入れようとしたのですが、

yum localinstall http://dev.mysql.com/get/mysql57-community-release-el7-7.noarch.rpm
yum info mysql-community-server
して、
yum -y install mysql-community-server
したところで下記エラーが発生しインストールができません。

エラー: パッケージ: mysql-community-server-5.7.18-1.el7.x86_64 (mysql57-community)
要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
エラー: パッケージ: mysql-community-client-5.7.18-1.el7.x86_64 (mysql57-community)
要求: libc.so.6(GLIBC_2.14)(64bit)
エラー: パッケージ: mysql-community-client-5.7.18-1.el7.x86_64 (mysql57-community)
要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
エラー: パッケージ: mysql-community-server-5.7.18-1.el7.x86_64 (mysql57-community)
要求: systemd
エラー: パッケージ: mysql-community-libs-5.7.18-1.el7.x86_64 (mysql57-community)
要求: libc.so.6(GLIBC_2.14)(64bit)
エラー: パッケージ: mysql-community-server-5.7.18-1.el7.x86_64 (mysql57-community)
要求: libc.so.6(GLIBC_2.17)(64bit)
問題を回避するために --skip-broken を用いることができません
** Found 5 pre-existing rpmdb problem(s), 'yum check' output follows:
cronie-anacron-1.4.4-16.el6_8.2.x86_64 は次の要求が不足ています:  cronie = ('0', '1.4.4', '16.el6_8.2')
crontabs-1.10-33.el6.noarch は次の要求が不足ています:  /etc/cron.d
redhat-lsb-core-4.0-7.el6.centos.x86_64 は次の要求が不足ています:  /usr/bin/crontab
redhat-lsb-core-4.0-7.el6.centos.x86_64 は次の要求が不足ています:  /usr/sbin/sendmail
sysstat-9.0.4-33.el6.x86_64 は次の要求が不足ています:  /etc/cron.d

どうすれば良いか、どなたかわからないでしょうか。
何卒よろしくお願いいたします。

追記です。
インストール時に参考にしたサイトです。CetOS7でした。。。
http://weblabo.oscasierra.net/installing-mysql57-centos7-yum/

追記
yum update --skip-brokenの実行と結果
[ src]# yum update --skip-broken
読み込んだプラグイン:fastestmirror
更新処理の設定をしています
Loading mirror speeds from cached hostfile

  • base: ftp.iij.ad.jp
  • epel: ftp.riken.jp
  • extras: ftp.iij.ad.jp
  • updates: ftp.iij.ad.jp
    依存性の解決をしています
    --> トランザクションの確認を実行しています。
    ---> Package mysql57-community-release.noarch 0:el6-10 will be 更新
    ---> Package mysql57-community-release.noarch 0:el7-10 will be an update
    --> 依存性解決を終了しました。

依存性を解決しました

===============================================================================================================================================================

パッケージ                                       アーキテクチャ                バージョン                      リポジトリー                              容量

更新:
mysql57-community-release                        noarch                        el7-10                          mysql57-community                         25 k

トランザクションの要約

アップグレード       1 パッケージ

総ダウンロード容量: 25 k
これでいいですか? [y/N]y
パッケージをダウンロードしています:
http://repo.mysql.com/yum/mysql-5.7-community/el/6/x86_64/mysql57-community-release-el7-10.noarch.rpm: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"
他のミラーを試します。
To address this issue please refer to the below knowledge base article

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.

パッケージのダウンロードでエラー:
mysql57-community-release-el7-10.noarch: failure: mysql57-community-release-el7-10.noarch.rpm from mysql57-community: [Errno 256] No more mirrors to try.

追記
rpm指定インストール
yum localinstall mysql57-community-release-el6-10.noarch.rpm
読み込んだプラグイン:fastestmirror
ローカルパッケージ処理の設定をしています
mysql57-community-release-el6-10.noarch.rpm を調べています: mysql57-community-release-el6-10.noarch
mysql57-community-release-el6-10.noarch.rpm: インストールされたパッケージを更新しません。
何もしません

追記
rpm指定インストールその2
yum install https://dev.mysql.com/get/mysql57-community-release-el6-10.noarch.rpm
読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
mysql57-community-release-el6-10.noarch.rpm                                                                                             |  25 kB     00:00
/var/tmp/yum-root-FqcmbO/mysql57-community-release-el6-10.noarch.rpm を調べています: mysql57-community-release-el6-10.noarch
/var/tmp/yum-root-FqcmbO/mysql57-community-release-el6-10.noarch.rpm: インストールされたパッケージを更新しません。
エラー: 何もしません

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

CentOS 6.8に対し、el7のパッケージを入れようとしているように見えるのですが、IDCFではそういう仕様なのかしら。

https://dev.mysql.com/get/mysql57-community-release-el6-10.noarch.rpm

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/04/24 23:41

    yum info mysql-community-server を実行して、el6 になっていたら yum -y install mysql-community-server を実行してみましょう。

    キャンセル

  • 2017/04/24 23:51

    キャッシュとかクリアする必要があった風ですが、行けました!
    ありがとうございます!助かりました!

    キャンセル

  • 2017/04/24 23:54

    は〜い、お疲れ様でした。では、良い開発を。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.32%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る